Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common.filespecification
Class PDComplexFileSpecification

    java.lang.Object
      org.pdfbox.pdmodel.common.filespecification.PDFileSpecification
          org.pdfbox.pdmodel.common.filespecification.PDComplexFileSpecification

All Implemented Interfaces:
  COSObjectable

public class PDComplexFileSpecification
extends PDFileSpecification

This represents a file specification.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Constructor Summary
`PDComplexFileSpecification()` Default Constructor.
`PDComplexFileSpecification(COSDictionary dict)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDEmbeddedFile` | `getEmbeddedFile()` Get the embedded file.
`PDEmbeddedFile` | `getEmbeddedFileDos()` Get the embedded dos file.
`PDEmbeddedFile` | `getEmbeddedFileMac()` Get the embedded Mac file.
`PDEmbeddedFile` | `getEmbeddedFileUnix()` Get the embedded Unix file.
`String` | `getFile()` This will get the file name.
`String` | `getFileDos()` This will get the name representing a Dos file.
`String` | `getFileMac()` This will get the name representing a Mac file.
`String` | `getFileUnix()` This will get the name representing a Unix file.
`boolean` | `isVolatile()` Get if the file is volatile.
`void` | `setEmbeddedFile(PDEmbeddedFile file)` Set the embedded file for this spec.
`void` | `setEmbeddedFileDos(PDEmbeddedFile file)` Set the embedded dos file for this spec.
`void` | `setEmbeddedFileMac(PDEmbeddedFile file)` Set the embedded Mac file for this spec.
`void` | `setEmbeddedFileUnix(PDEmbeddedFile file)` Set the embedded Unix file for this spec.
`void` | `setFile(String file)` This will set the file name.
`void` | `setFileDos(String file)` This will set name representing a dos file.
`void` | `setFileMac(String file)` This will set name representing a Mac file.
`void` | `setFileUnix(String file)` This will set name representing a Unix file.
`void` | `setVolatile(boolean fileIsVolatile)` Tell if the underlying file is volatile and should not be cached by the reader application.

Methods inherited from class org.pdfbox.pdmodel.common.filespecification.PDFileSpecification
`createFS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDComplexFileSpecification

    public PDComplexFileSpecification()

  Default Constructor.

### PDComplexFileSpecification

    public PDComplexFileSpecification(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - The dictionary that fulfils this file specification.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getFile

    public String getFile()

  This will get the file name.

  Specified by:
    `getFile` in class `PDFileSpecification`
  Returns:
    The file name.

### setFile

    public void setFile(String file)

  This will set the file name.

  Specified by:
    `setFile` in class `PDFileSpecification`
  Parameters:
    `file` - The name of the file.

### getFileDos

    public String getFileDos()

  This will get the name representing a Dos file.

  Returns:
    The file name.

### setFileDos

    public void setFileDos(String file)

  This will set name representing a dos file.

  Parameters:
    `file` - The name of the file.

### getFileMac

    public String getFileMac()

  This will get the name representing a Mac file.

  Returns:
    The file name.

### setFileMac

    public void setFileMac(String file)

  This will set name representing a Mac file.

  Parameters:
    `file` - The name of the file.

### getFileUnix

    public String getFileUnix()

  This will get the name representing a Unix file.

  Returns:
    The file name.

### setFileUnix

    public void setFileUnix(String file)

  This will set name representing a Unix file.

  Parameters:
    `file` - The name of the file.

### setVolatile

    public void setVolatile(boolean fileIsVolatile)

  Tell if the underlying file is volatile and should not be cached by the reader application. Default: false

  Parameters:
    `fileIsVolatile` - The new value for the volatility of the file.

### isVolatile

    public boolean isVolatile()

  Get if the file is volatile. Default: false

  Returns:
    True if the file is volatile attribute is set.

### getEmbeddedFile

    public PDEmbeddedFile getEmbeddedFile()

  Get the embedded file.

  Returns:
    The embedded file for this file spec.

### setEmbeddedFile

    public void setEmbeddedFile(PDEmbeddedFile file)

  Set the embedded file for this spec.

  Parameters:
    `file` - The file to be embedded.

### getEmbeddedFileDos

    public PDEmbeddedFile getEmbeddedFileDos()

  Get the embedded dos file.

  Returns:
    The embedded file for this file spec.

### setEmbeddedFileDos

    public void setEmbeddedFileDos(PDEmbeddedFile file)

  Set the embedded dos file for this spec.

  Parameters:
    `file` - The dos file to be embedded.

### getEmbeddedFileMac

    public PDEmbeddedFile getEmbeddedFileMac()

  Get the embedded Mac file.

  Returns:
    The embedded file for this file spec.

### setEmbeddedFileMac

    public void setEmbeddedFileMac(PDEmbeddedFile file)

  Set the embedded Mac file for this spec.

  Parameters:
    `file` - The Mac file to be embedded.

### getEmbeddedFileUnix

    public PDEmbeddedFile getEmbeddedFileUnix()

  Get the embedded Unix file.

  Returns:
    The embedded file for this file spec.

### setEmbeddedFileUnix

    public void setEmbeddedFileUnix(PDEmbeddedFile file)

  Set the embedded Unix file for this spec.

  Parameters:
    `file` - The Unix file to be embedded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD